Subject: bug#43799: 27.1; AWK wrong switch-case indentation

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 06 Jun 2022 18:24:09 +0200

Mauro Panigada <[email-masked]> writes:

> In AWK mode, switch's cases get indented as statement of the previous
> case, instead of being "aligned" with the first case line. We end up
> having something like
>
>    switch($1)
>    {
>       case "a":
>          things()
>          break
>
>          case "b":
>             hello = 0
>             break
>
>             case "bye":
>                indent_again = 1
>                break
>
>                # ....            
>    }

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I can reproduce this in Emacs 27.1, but not in Emacs 29, so it seems
like this has been fixed in the time since this was reported, and I'm
therefore closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no